Package oasis.names.tc.dss._1_0.core.schema

# Class DocumentBaseType

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.DocumentBaseType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DocumentHash`, `DocumentType`, `TransformedData`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public abstract class DocumentBaseType extends Object implements Serializable

Java class for DocumentBaseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DocumentBaseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="ID" type="{http://www.w3.org/2001/XMLSchema}ID" />
           <attribute name="RefURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="RefType" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="SchemaRefs" type="{http://www.w3.org/2001/XMLSchema}IDREFS" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentBaseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getID()`
  Gets the value of the id property.
  `String`
  `getRefType()`
  Gets the value of the refType property.
  `String`
  `getRefURI()`
  Gets the value of the refURI property.
  `List<Object>`
  `getSchemaRefs()`
  Gets the value of the schemaRefs property.
  `void`
  `setID(String value)`
  Sets the value of the id property.
  `void`
  `setRefType(String value)`
  Sets the value of the refType property.
  `void`
  `setRefURI(String value)`
  Sets the value of the refURI property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentBaseType

    public DocumentBaseType()

- ## Method Details

  - ### getID

    public String getID()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setID

    public void setID(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRefURI

    public String getRefURI()
    Gets the value of the refURI property.
    Returns:
      possible object is `String`

  - ### setRefURI

    public void setRefURI(String value)
    Sets the value of the refURI property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRefType

    public String getRefType()
    Gets the value of the refType property.
    Returns:
      possible object is `String`

  - ### setRefType

    public void setRefType(String value)
    Sets the value of the refType property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSchemaRefs

    public List<Object> getSchemaRefs()
    Gets the value of the schemaRefs property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schemaRefs property.

    For example, to add a new item, do as follows:

         getSchemaRefs().add(newItem);

    Objects of the following type(s) are allowed in the list `Object`

    Returns:
      The value of the schemaRefs property.